<?php
$hygia_woocommerce_sc = hygia_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $hygia_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$hygia_scheme = hygia_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $hygia_scheme ) && ! hygia_is_inherit( $hygia_scheme ) ) {
			echo ' scheme_' . esc_attr( $hygia_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( hygia_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( hygia_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$hygia_css      = '';
			$hygia_bg_image = hygia_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $hygia_bg_image ) ) {
				$hygia_css .= 'background-image: url(' . esc_url( hygia_get_attachment_url( $hygia_bg_image ) ) . ');';
			}
			if ( ! empty( $hygia_css ) ) {
				echo ' style="' . esc_attr( $hygia_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$hygia_anchor_icon = hygia_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$hygia_anchor_text = hygia_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $hygia_anchor_icon ) || ! empty( $hygia_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $hygia_anchor_icon ) ? ' icon="' . esc_attr( $hygia_anchor_icon ) . '"' : '' )
											. ( ! empty( $hygia_anchor_text ) ? ' title="' . esc_attr( $hygia_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( hygia_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' hygia-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$hygia_css      = '';
				$hygia_bg_mask  = hygia_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$hygia_bg_color_type = hygia_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $hygia_bg_color_type ) {
					$hygia_bg_color = hygia_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $hygia_bg_color_type ) {
					$hygia_bg_color = hygia_get_scheme_color( 'bg_color', $hygia_scheme );
				} else {
					$hygia_bg_color = '';
				}
				if ( ! empty( $hygia_bg_color ) && $hygia_bg_mask > 0 ) {
					$hygia_css .= 'background-color: ' . esc_attr(
						1 == $hygia_bg_mask ? $hygia_bg_color : hygia_hex2rgba( $hygia_bg_color, $hygia_bg_mask )
					) . ';';
				}
				if ( ! empty( $hygia_css ) ) {
					echo ' style="' . esc_attr( $hygia_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$hygia_caption     = hygia_get_theme_option( 'front_page_woocommerce_caption' );
				$hygia_description = hygia_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $hygia_caption ) || ! empty( $hygia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $hygia_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $hygia_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $hygia_caption, 'hygia_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $hygia_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $hygia_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $hygia_description ), 'hygia_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $hygia_woocommerce_sc ) {
						$hygia_woocommerce_sc_ids      = hygia_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$hygia_woocommerce_sc_per_page = count( explode( ',', $hygia_woocommerce_sc_ids ) );
					} else {
						$hygia_woocommerce_sc_per_page = max( 1, (int) hygia_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$hygia_woocommerce_sc_columns = max( 1, min( $hygia_woocommerce_sc_per_page, (int) hygia_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$hygia_woocommerce_sc}"
										. ( 'products' == $hygia_woocommerce_sc
												? ' ids="' . esc_attr( $hygia_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $hygia_woocommerce_sc
												? ' category="' . esc_attr( hygia_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $hygia_woocommerce_sc
												? ' orderby="' . esc_attr( hygia_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( hygia_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $hygia_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $hygia_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
